> ## Documentation Index
> Fetch the complete documentation index at: https://docs.algoreg.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update thread message

> Updates the specified chat message.

## Path parameters

**id** `string` *required*

## Body parameters

**bcc** `string`

**cc** `string`

**content** `string`

**delivery** `MessageDelivery`

**properties**

**existing\_attachments** `string[]`

**new\_attachments** `MessageInputAttachment[]`

**properties**

**file** `string`

Base64

**name** `string`

**read** `boolean`

**set\_reminder** `ThreadReminderInput`

**properties**

**delay** `integer`

**number\_left** `integer`

**subject** `string`

**to** `string`

## Response body

> [tab] 204
>
> No content.

> [tab] default
>
> unexpected error
>
> **errors** `APIError[]`
>
> Will contain both "v1" (deprecated, or soon to be) errors and "v2" errors. When possible, prefer errors that are not deprecated.
>
> **properties**
>
> **code** `string`
>
> **deprecated** `boolean`
>
> **message** `string`
>
> **will\_be\_deprecated** `boolean`

```json JSON
{
  "bcc": "string",
  "cc": "string",
  "content": "string",
  "delivery": {},
  "existing_attachments": [
    "string"
  ],
  "new_attachments": [
    {
      "file": "string",
      "name": "string"
    }
  ],
  "read": "boolean",
  "set_reminder": {
    "delay": "integer",
    "number_left": "integer"
  },
  "subject": "string",
  "to": "string"
}
```

```javascript JavaScript

  const response = await fetch(
    "POST /api/v1/message/{id}",
    {
      method: "post",
      headers: {
        "Content-Type": "application/json",
        "Authorization": `Bearer {token}`
      },
      body: JSON.stringify({
  "bcc": "string",
  "cc": "string",
  "content": "string",
  "delivery": {},
  "existing_attachments": [
    "string"
  ],
  "new_attachments": [
    {
      "file": "string",
      "name": "string"
    }
  ],
  "read": "boolean",
  "set_reminder": {
    "delay": "integer",
    "number_left": "integer"
  },
  "subject": "string",
  "to": "string"
})
    }
  );
            
          
```

```json default
{
  "errors": [
    {
      "code": "string",
      "deprecated": "boolean",
      "message": "string",
      "will_be_deprecated": "boolean"
    }
  ]
}
```



This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.